# Packmanpackagename: cinelerra
# Packman: Leon Freitag (leon@links2linux.de)
# Packmangroup: Multimedia
# norootforbuild

Name: cinelerra
Summary: A non linear video editor and effects processor 
Version: 2.2cv20111114
Release: 10.4
License: GPL
Group: Productivity/Multimedia/Video/Editors and Convertors
URL: http://cvs.cinelerra.org
Source0: %{name}-%{version}.tar.bz2
Source1: ru.po
#Patch0: cinelerra-20100801-nasm.patch
# Patch1: cinelerra-2.1.cv20091220-ffmpeg.patch
#Patch2: cinelerra-20100801-shapewipe-libpng.patch
#Patch3: cinelerra-20100801-po-fix.patch
# Patch4: cinelerra-20100802-edits.patch
BuildRoot: %{_tmppath}/%{name}-2-%{release}-buildroot
BuildRequires: gcc-c++ freetype2-devel Mesa-devel xorg-x11-devel fltk-devel libx264-devel alsa-devel libmp3lame-devel libavc1394-devel libfaac-devel libfaad-devel libjpeg-devel libpng-devel libdv-devel OpenEXR-devel libogg-devel libvorbis-devel libtheora-devel libmjpegutils-devel libraw1394-devel libiec61883-devel libsndfile-devel pkgconfig nasm fftw3-devel liba52dec-devel yasm libsndfile libuuid-devel IlmBase-devel libffmpeg_oldabi-devel libmpeg3-devel update-desktop-files
#who would ever think of that...
BuildRequires: e2fsprogs-devel ncurses-devel
#and what they forgot to check in the configure script...
BuildRequires: libtiff-devel flac-devel
Requires: mjpegtools
Autoreqprov: on

#disable the code checks, I'm not going to mess with the Cinelerra code, although the warnings seem strange.


%description
Heroine Virtual Ltd. presents an advanced content creation system for Linux. Cinelerra takes what normally is a boring server - studied in computer science classrooms, hidden in back offices - and turns it into a 50,000 watt flamethrower of multimedia editing.
 That's right kids. Unlike most of the Linux solutions out there, Cinelerra requires no emulation of proprietary operating systems, no commercial add-ons, no banner advertizements, no corporate dependencies, no terrorists, just a boring old Linux box.
 Cinelerra does primarily 3 main things: capturing, compositing, and editing audio and video with sample level accuracy. It's a seamless integration of audio, video, and still photos rarely experienced on a web server.
 If you want to make movies, you just want to defy the establishment, you want the same kind of compositing and editing suite that the big boys use, on the world's most efficient UNIX operating system, it's time for Cinelerra.

The version you'll find in this package is the cinelerra.org community version.
%package devel
Summary: Cinelerra header files and development libraries
Group: Development/Libraries/Other
Requires: %name = %version
%description devel
Cinelerra files needed for compiling stuff

%prep
%setup -q
cp %{SOURCE1} .
#cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/po/
# %patch1 -p1
#%patch2 -p1
#%patch3 -p1
# %patch4 -p1

%build
./autogen.sh
CXXFLAGS="-O3 -pipe -D__STDC_CONSTANT_MACROS" %configure --with-plugindir=%{_libdir}/%{name} --with-buildinfo=cust/Packman\ build --with-external-ffmpeg --enable-opengl

%{__make} %{?_smp_mflags} %{?mflags}

%install
%makeinstall
# rename the mpeg3 utils so they can be installed alongside SuSE native versions
cd $RPM_BUILD_ROOT/%{_bindir}
mv mpeg3toc mpeg3toc.hv
mv mpeg3cat mpeg3cat.hv
mv mpeg3dump mpeg3dump.hv

%suse_update_desktop_file cinelerra -r Multimedia AudioVideoEditing


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc

%{_bindir}/cinelerra

# missing in the 2.1 build
#%{_bindir}/mplexhi
%{_bindir}/mplexlo
#%{_bindir}/rawc-convert

%{_bindir}/mpeg3dump.hv
%{_bindir}/mpeg3toc.hv
%{_bindir}/mpeg3cat.hv

%{_datadir}/locale/*
%{_libdir}/cinelerra/*

%{_libdir}/libguicast.so.*
%{_libdir}/libmpeg3hv*.so.*
%{_libdir}/libquicktimehv*.so.*
# missing
#%{_libdir}/libsndfilehv*

%{_datadir}/applications/cinelerra.desktop
%{_datadir}/pixmaps/cinelerra.xpm

%files devel
%defattr(-,root,root,-)

#no .pc files :/
#%{_libdir}/pkgconfig*

%{_libdir}/libmpeg3hv.so
%{_libdir}/libmpeg3hv.la
%{_libdir}/libquicktimehv.so
%{_libdir}/libquicktimehv.la
%{_libdir}/libguicast.so
%{_libdir}/libguicast.la
#%{_libdir}/libsndfilehv.so
#%{_libdir}/libsndfilehv.la
%{_includedir}/*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sat Nov 26 2011 Leon Freitag <leon@links2linux.de> - 2.2cv20111114
- new release CV 2.2
* Tue Feb 22 2011 Leon Freitag <leon@links2linux.de> - 2.1.5cv20110222
- new release CV 2.1.5
* Mon Aug 01 2010 Leon Freitag <leon@links2linux.de> - 2.1.cv20100802
- use latest version from Simen Voelkl's repository (cin2.1sv)
- enabled opengl
- Suse 11.3 build
* Mon Jun 29 2009 Leon Freitag <leon@links2linux.de> - 2.1.cv20090121
- updated the git version to the latest one with the dnxhd codec
- converted the russian translation to UTF8
* Tue Jan 06 2009 Leon Freitag <leon@links2linux.de> - 2.1.cv20090106
- new versioning scheme, as cinelerra moved to git and dropped the release numbers
- Suse 11.1 build
* Thu Jul 03 2008 Leon Freitag <leon@links2linux.de> - 2.1.cv1036
- added a patch to compile on gcc 4.3/Suse 11.0, thanks to Toni and Rain_Maker
* Sat Oct 06 2007 Leon Freitag <leon@links2linux.de> - 2.1.cv1036
- svn r1036
* Wed Mar 28 2007 Leon Freitag <leon@links2linux.de> - 2.1.cv1006
- svn r1006
- added the custom buildinfo
* Mon Nov 13 2006 Leon Freitag <leon@links2linux.de> - 2.1.cv958
- svn r958
- updated for the new x264 version
* Tue Sep 26 2006 Leon Freitag <leon@links2linux.de> - 2.1.cv909
- changed the spec to match the packman/SP conventions
- svn r909
* Thu Sep 14 2006 Kevin Brosius <cobra@compuserve.com> - 2.1.0.cvs.cobra-date
- First package with merged Cinelerra 2.1
- svn r888

* Thu Jun 1 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- transitions fix, Ogg renderfarm support, po email address fix
- file.h compile fix, fix thread delete race condition
- a bunch of mem management fixes

* Mon May 29 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- reading ogg vorbis fix, Freetype2 2.2.1 compatibility
- mjpeg load fixes (bug139, 148, 259), fix insertion of media files directly
- shorten xml files, motion blur plugin
- camera and projector automation for plugins, waveform not shown fix
- change every clip all media files behavior in saved xml
- work without audio enabled, delete pluginsets fix

* Tue May 02 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- fseek0 fix bug244, bug250, check sound/audio in dv format
- bug249 vorbis setup fix, chromakey fix, check for libfaac
- fix DV audio read sample impl., move icon in Gnome
- bug30 allow transition at end of track, bug243
- fix crash when rendering plugins, fix null plugin usage
- fix load XML crash, bug242 >1024 properties

* Sat Apr 03 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- EDL export, .mov DV fourcc -> dvc, multi transitions with diff lengths fix
- debian build fixes, new configure checks and libavcodec header fixes
- mux fixes for long silence/empty video, ubuntu build fixes
- RGB*_FLOAT color models for mask engine, gcc 4.1.0 fixes/mpeg2enc
- Makefile cleanups, raise_window() commands, BUZ driver channel editor fixes
- format selection for timecode in titler, build date and CV versioning
- fix --disable-firewire, chromakey-hsv plugin, pt_BR translation updates
- deinterlace plugin updates, cache frames even when not static
- new deinterlacer, timefronts - take from alpha
- fix apply-mask-before-plugins for masks, new timefront plugin
- add histogram split checkbox

* Sat Feb 04 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- vertical pos of auto-zoom text, dv audio offset/framing fix
- Italian translation, Spanish update, deinterlace fix
- mpeg encode params fix

* Sat Jan 26 2006 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- raw dv i/o fixes, textual info for labels, " conversion
- Automation text label editable, audio_position adjust for dv1394
 
* Sat Dec 24 2005 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- fix bug 219 & 220, make text menu hilight white
- alt+left/right navigates trough edit handles
- parameter name fix, single image dnd fixes, remove mwindowmove dup code
- ffmpeg defaults for elem stream (Bug 164), member function fix
- gettextize language changes for more plugins, French update

* Sun Dec 11 2005 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- Fix renderfarm client crash, align cursor on frames default
- right mouse on keyframe - keyframe popup, guicast / gettextize additions
- Brazilian update, French update
- link mpeg2enc.plugin for SUSE, add mjpegtools >= 1.6.3 dep

* Mon Nov 14 2005 Kevin Brosius <cobra@compuserve.com> - 2.0.0.cvs.cobra-date
- Initial build of CV from svn tree.


